From tkato432@yahoo.com  Thu Mar 15 16:01:32 2007
Return-Path: <tkato432@yahoo.com>
Received: from mx1.freebsd.org (mx1.freebsd.org [69.147.83.52])
	by hub.freebsd.org (Postfix) with ESMTP id 1E4AA16A404
	for <FreeBSD-gnats-submit@FreeBSD.org>; Thu, 15 Mar 2007 16:01:30 +0000 (UTC)
	(envelope-from tkato432@yahoo.com)
Received: from nm05omta055.dion.ne.jp (nm05mta.dion.ne.jp [219.125.112.6])
	by mx1.freebsd.org (Postfix) with SMTP id B74EE13C46E
	for <FreeBSD-gnats-submit@FreeBSD.org>; Thu, 15 Mar 2007 16:01:29 +0000 (UTC)
	(envelope-from tkato432@yahoo.com)
Received: from localhost ([59.128.65.189])
	by nm05mta.dion.ne.jp
	id <20070316010126693.MA42.8100520@nm05mta.dion.ne.jp>;
	Fri, 16 Mar 2007 01:01:26 +0900
Message-Id: <20070316010029.a5ce537b.tkato432@yahoo.com>
Date: Fri, 16 Mar 2007 01:00:29 +0900
From: KATO Tsuguru <tkato432@yahoo.com>
To: FreeBSD-gnats-submit@FreeBSD.org
Subject: Update port: math/fityk to 0.7.8

>Number:         110345
>Category:       ports
>Synopsis:       Update port: math/fityk to 0.7.8
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    miwi
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Thu Mar 15 16:10:08 GMT 2007
>Closed-Date:    Fri Mar 16 12:00:32 GMT 2007
>Last-Modified:  Fri Mar 16 12:10:05 GMT 2007
>Originator:     KATO Tsuguru
>Release:        FreeBSD 4.11-RELEASE-p26 i386
>Organization:
>Environment:
>Description:
- Update to version 0.7.8

New file:
files/patch-configure

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/math/fityk/Makefile math/fityk/Makefile
--- /usr/ports/math/fityk/Makefile	Thu Jan 18 03:32:04 2007
+++ math/fityk/Makefile	Sat Mar  3 22:18:03 2007
@@ -7,7 +7,7 @@
 #
 
 PORTNAME=	fityk
-PORTVERSION=	0.7.7
+PORTVERSION=	0.7.8
 CATEGORIES=	math
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
diff -urN /usr/ports/math/fityk/distinfo math/fityk/distinfo
--- /usr/ports/math/fityk/distinfo	Thu Jan 18 03:32:04 2007
+++ math/fityk/distinfo	Sat Mar  3 22:46:34 2007
@@ -1,3 +1,3 @@
-MD5 (fityk-0.7.7.tar.bz2) = 041f328ceaf7c09d99335ceb0584ddc0
-SHA256 (fityk-0.7.7.tar.bz2) = 88532efb13faac365df7f275983fdb16802ed5994868054ad9f87fb32583fe54
-SIZE (fityk-0.7.7.tar.bz2) = 1078078
+MD5 (fityk-0.7.8.tar.bz2) = 830ed8668ab524c7b1697ec3a2ed5554
+SHA256 (fityk-0.7.8.tar.bz2) = 57443b3c93d0dad5498ed07b65e87dd977b9aafd299f571d498df94e8c4d3207
+SIZE (fityk-0.7.8.tar.bz2) = 1102741
diff -urN /usr/ports/math/fityk/files/patch-configure math/fityk/files/patch-configure
--- /usr/ports/math/fityk/files/patch-configure	Thu Jan  1 09:00:00 1970
+++ math/fityk/files/patch-configure	Tue Mar  6 02:41:28 2007
@@ -0,0 +1,110 @@
+--- configure.orig	Tue Feb  6 22:44:47 2007
++++ configure	Tue Mar  6 02:41:21 2007
+@@ -6341,107 +6341,6 @@
+          READLINE_LIBS="$with_readline $gp_tcap"
+        fi
+      fi
+-                    { echo "$as_me:$LINENO: checking whether rl_completion_matches is declared" >&5
+-echo $ECHO_N "checking whether rl_completion_matches is declared... $ECHO_C" >&6; }
+-if test "${ac_cv_have_decl_rl_completion_matches+set}" = set; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-#include <readline/readline.h>
+-
+-int
+-main ()
+-{
+-#ifndef rl_completion_matches
+-  char *p = (char *) rl_completion_matches;
+-  return !p;
+-#endif
+-
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext
+-if { (ac_try="$ac_compile"
+-case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_compile") 2>conftest.er1
+-  ac_status=$?
+-  grep -v '^ *+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-	 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; } &&
+-	 { ac_try='test -s conftest.$ac_objext'
+-  { (case "(($ac_try" in
+-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+-  *) ac_try_echo=$ac_try;;
+-esac
+-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+-  (eval "$ac_try") 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  ac_cv_have_decl_rl_completion_matches=yes
+-else
+-  echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-	ac_cv_have_decl_rl_completion_matches=no
+-fi
+-
+-rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+-fi
+-{ echo "$as_me:$LINENO: result: $ac_cv_have_decl_rl_completion_matches" >&5
+-echo "${ECHO_T}$ac_cv_have_decl_rl_completion_matches" >&6; }
+-if test $ac_cv_have_decl_rl_completion_matches = yes; then
+-
+-cat >>confdefs.h <<_ACEOF
+-#define HAVE_DECL_RL_COMPLETION_MATCHES 1
+-_ACEOF
+-
+-
+-else
+-  cat >>confdefs.h <<_ACEOF
+-#define HAVE_DECL_RL_COMPLETION_MATCHES 0
+-_ACEOF
+-
+-{ { echo "$as_me:$LINENO: error:
+-     Although you seem to have a readline-compatible library,
+-     it is either old GNU readline <= 4.1 (XX century),
+-     or readline-compatible library, like libedit, but it's not compatible
+-     enough with readline >= 4.2.
+-         Either install libreadline >= 4.2,
+-            or configure fityk with option --without-readline" >&5
+-echo "$as_me: error:
+-     Although you seem to have a readline-compatible library,
+-     it is either old GNU readline <= 4.1 (XX century),
+-     or readline-compatible library, like libedit, but it's not compatible
+-     enough with readline >= 4.2.
+-         Either install libreadline >= 4.2,
+-            or configure fityk with option --without-readline" >&2;}
+-   { (exit 1); exit 1; }; }
+-fi
+-
+-
+  else
+ 
+ cat >>confdefs.h <<\_ACEOF
>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: freebsd-ports-bugs->miwi 
Responsible-Changed-By: miwi 
Responsible-Changed-When: Thu Mar 15 16:26:12 UTC 2007 
Responsible-Changed-Why:  
I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=110345 
State-Changed-From-To: open->closed 
State-Changed-By: miwi 
State-Changed-When: Fri Mar 16 12:00:30 UTC 2007 
State-Changed-Why:  
Committed. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=110345 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/110345: commit references a PR
Date: Fri, 16 Mar 2007 12:00:54 +0000 (UTC)

 miwi        2007-03-16 12:00:38 UTC
 
   FreeBSD ports repository
 
   Modified files:
     math/fityk           Makefile distinfo 
   Added files:
     math/fityk/files     patch-configure 
   Log:
   - Update to 0.7.8
   
   PR:             110345
   Submitted by:   KATO Tsuguru <tkato432@yahoo.com>
   
   Revision  Changes    Path
   1.17      +1 -1      ports/math/fityk/Makefile
   1.12      +3 -3      ports/math/fityk/distinfo
   1.1       +110 -0    ports/math/fityk/files/patch-configure (new)
 _______________________________________________
 cvs-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/cvs-all
 To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
 
>Unformatted:
